﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Data.Common;

namespace CubeExplorerUI
{
    /// <summary>
    /// Lógica de interacción para ParametresSP.xaml
    /// </summary>
    public partial class ParametresSP : Window
    {
        public DbParameterCollection parameters { get; set; }
        string item;
        
        public ParametresSP()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            foreach (DbParameter p in parameters) {
                listBox1.Items.Add(p.ParameterName); 
            }
        }

        private void btnAceptar_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
            Close();
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            Close();
        }

        private void textBox1_LostFocus(object sender, RoutedEventArgs e)
        {
            DbParameter p = parameters[item];
            p.Value = textBox1.Text;
        }

        private void listBox1_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            item = listBox1.SelectedItem.ToString();
            DbParameter p = parameters[item];
            if (p.Value != null)
                textBox1.Text = p.Value.ToString();
            else
                textBox1.Text = "";
        }

        private void Window_Unloaded(object sender, RoutedEventArgs e)
        {
        }
    }
}
