﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Forms;


namespace CubeExplorerUI
{
    /// <summary>
    /// Lógica de interacción para PropietatsCub.xaml
    /// </summary>
    public partial class PropietatsCub : Window
    {
        public PropietatsCub()
        {
            InitializeComponent();
           
        }

       
        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }

        private void btnAceptar_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }

        private void chkTipus_Checked(object sender, RoutedEventArgs e)
        {
            if (chkTipus.IsChecked == true)
            {
                // Missatge informatiu
                string message = "El cub desconectat no pot refrescar les dades. Desitja continuar ? ";
                const string caption = "Missatge";
                var result = System.Windows.Forms.MessageBox.Show(message, caption,
                                             MessageBoxButtons.YesNo,
                                             MessageBoxIcon.Question);

                if (result == System.Windows.Forms.DialogResult.No)
                {
                    chkTipus.IsChecked = false;
                }

            }
        }

        
    }
}
