﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Common;

namespace CubeExplorerUI
{
    public partial class CubDB
    {
        public int Id { get; set; }
        public string Nom { get; set; }
        public int Tipus { get; set; }
        public string Connexio { get; set; }
        public string Sql { get; set; }
        public Nullable<System.DateTime> DataCreacio { get; set; }
        public Nullable<System.DateTime> DataModificacio { get; set; }
        public Nullable<int> IdSeccio { get; set; }
        public Nullable<int> IdUsuari { get; set; }
        public string Descripcio { get; set; }
        public string Ruta { get; set; }
        public string Carpeta { get; set; }
        public LlistaCamps Camps { get; set; }

        public CubDB()
        {
            Nom = "";
            Connexio = "";
            Sql = "";
            Descripcio = "";
            Ruta = "";
            Carpeta = "";
            Camps = new LlistaCamps();
        }
    }
}
