﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace CubeExplorerUI
{
    
    public class FormatCamp
    {
        public int IdCub { get; set; }
        public int IdCamp { get; set; }
        public string Camp { get; set; }
        public string Area { get; set; }
        public string Títol { get; set; }
        public string Format { get; set; }

        public FormatCamp()
        {
            IdCub = 0;
            IdCamp = 0;
            Camp = "";
            Area = "";
            Títol = "";
            Format = "";
        }
        public FormatCamp(int IdCub, int IdCamp, string Camp, string Area, string Títol, string Format)
        {
            this.IdCub = IdCub;
            this.IdCamp = IdCamp;
            this.Camp = Camp.Trim ();
            this.Area = Area.Trim();
            this.Títol = Títol.Trim();
            this.Format = Format.Trim();   
        }
    }


    public class LlistaCamps {
        List<FormatCamp> list;

        public LlistaCamps()
        {
            list = new List<FormatCamp>();
        }

        public List<FormatCamp> GetData() {
            return list;
        }

        public void SetData(DataTable dt)
        {
            foreach (DataRow row in dt.Rows)
            {
                list.Add(new FormatCamp(Convert.ToInt32(row["IdCub"]),
                                        Convert.ToInt32(row["IdCamp"]),
                                        Convert.ToString(row["Camp"]),
                                        Convert.ToString(row["Area"]),
                                        Convert.ToString (row["Titol"]),
                                        Convert.ToString (row["Format"])));
            }
        }
    }
}
