﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Forms;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CubeExplorerUI
{
    /// <summary>
    /// Lógica de interacción para SeccionsWnd.xaml
    /// </summary>
    public partial class SeccionsWnd : Window
    {
        public int id { get; set; }
        public string nom { get; set; }
        public string descripcio { get; set; }
        public string carpeta { get; set; }

        public SeccionsWnd()
        {
            InitializeComponent();
        }

        public void Initialize()
        {
            txtId.Text = Convert.ToString(id);
            txtNom.Text = nom;
            txtDesc.Text = descripcio;
            txtCarpeta.Text = carpeta; 
        }

        private void btnCarpeta_Click(object sender, RoutedEventArgs e)
        {
            FolderBrowserDialog dlg = new FolderBrowserDialog();
            
            if (dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                txtCarpeta.Text = dlg.SelectedPath;
            }
            
        }

        private void btnAceptar_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
            nom = txtNom.Text; 
            descripcio = txtDesc.Text;
            carpeta = txtCarpeta.Text;
            Close();
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            Close();
        }
    }
}
