﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using DevExpress.Xpf.Core;


namespace CubeExplorerUI
{
    /// <summary>
    /// Interaction logic for UsuariObrir.xaml
    /// </summary>
    public partial class UsuariObrir : Window
    {
        public string nom { get; set;  }
        public string clau { get; set; }
        public event ValidarUsuariHandler OnValidarUsuari;


        public UsuariObrir()
        {
            InitializeComponent();
        }

        private void btnConnect_Click(object sender, RoutedEventArgs e)
        {
            string usuari = txtUsuari.Text;
            string clau = pbeClau.Text;  

            // cridar el event de validació del usuari
            OnValidarUsuari(usuari, clau);
        }
    }
}
